3

I want to calculate the PV potential of roofing using QGIS, similar to this post: How to calculate total PV potential of a roof using QGIS?.

However, my SAGA version in QGIS does not show me the Potential Incoming Solar Radiation algorithm.

I have downloaded a standalone SAGA version 7.8.1.

Can I integrate the latest/ update the current SAGA version that is used by my QGIS?

The OS I am using is Windows 10.

I am completely new to SAGA in QGIS and have no previous experience in using it.

8
  • It's possible in my Windows10. Which OS are you on? – Kazuhito Nov 25 '20 at 8:42
  • I am also on Windows 10 – Philip Gatzlaff Nov 25 '20 at 8:43
  • 1
    Aah, I double checked, but the particular tool (Potential Incoming Solar Radiation) is not included in SAGA 7.8.1 in QGIS... Not sure you are still interested in. – Kazuhito Nov 25 '20 at 8:53
  • 1
    Ah, ok. That's too bad because I will need to use that tool for the analysis I want to do. I would use the standalone SAGA version but cannot export my DOM Rasterlayer as it is a WMS layer and doesnt let me export it completely. – Philip Gatzlaff Nov 25 '20 at 9:01
  • 1
    Yes, absolutely! I would love to get some instructions on how to integrate it! – Philip Gatzlaff Dec 12 '20 at 14:52
1

SAGA 7.8 comes with saga4qgis and it provides support for SAGA Algorithms through QGIS Processing Toolbox.

This is a short instruction to install saga4qgis into QGIS 3.16, on Windows10 environment.

(1) Download latest SAGA

Visit SAGA in SorceForge.net, and download the latest zipped version of SAGA (i.e. saga-7.8.2_x64.zip).

enter image description here

(2) Unzip downloaded SAGA and search for saga4qgis.zip file.

enter image description here

(3) Unzip saga4qgis.zip

enter image description here

You will find two files and a folder.

  • readme.txt: This is the instruction (see below).
  • SagaNameDecorator.py
  • description (folder with lots of description files)

Open readme.txt - it is short and sweet

Replace the SAGA binaries in:
> C:\Program Files\QGIS X.Y\apps\saga(-ltr)

Adjust the interface in:
> C:\Program Files\QGIS X.Y\apps\qgis(-ltr)\python\plugins\processing\algs\saga(-ltr)

Adjust version in file:
> SagaAlgorithmProvider.py
>> REQUIRED_VERSION = '7.7.'

(4) Folow the instruction as written in readme.txt.

That's it - below is my note but it has no additional information.

  1. Open up [aa] C:\Program Files\QGIS 3.16\apps\saga-ltr folder and delete all files inside it.
  2. Copy all files of unzipped saga-7.8.2_x64.zip to the above folder [aa].
  3. Open up [bb] C:\Program Files\QGIS 3.16\ apps\ qgis\ python\ plugins\ processing\ algs\ saga and search for SagaNameDecorator.py file. Replace this file by new SagaNameDecorator.py (which is in saga4qgis.zip).
  4. In the same [bb] folder, find SagaAlgorithmProvide.py and open it by a text editor (e.g. Notepad++). Change REQUIRED_VERSION = '2.3.' to REQUIRED_VERSION = '7.7.'.
  5. You will find description folder in the same [bb] folder. Delete all files in this [bb]\description folder, and copy all description files in saga4qgis\description into this.
  6. Start QGIS 3.16 and examine QGIS Processing Toolbox.

enter image description here

1
  • Thank you Kazuhito! I had actually seen the SAGA4gis folder and also read the readme.txt. However, the instructions there were not clear enough to follow (I cannot clean out my ltr files somehow). Your instructions make things much more clear and I will try again. Thank you! – Philip Gatzlaff Dec 14 '20 at 8:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.